Package com.openmeet.shared.data.message

# Class Message

java.lang.Object
com.openmeet.shared.data.message.Message

All Implemented Interfaces:
  `IEntity`

public class Message extends Object implements IEntity
This class represents the Message Entity.

See Also:
  - `IEntity`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `MESSAGE`
  `static final String`
  `MESSAGE_DELIVERED_TIME`
  `static final String`
  `MESSAGE_ID`
  `static final String`
  `MESSAGE_MEETER_RECEIVER`
  `static final String`
  `MESSAGE_MEETER_SENDER`
  `static final String`
  `MESSAGE_READ_TIME`
  `static final String`
  `MESSAGE_SENT_TIME`
  `static final String`
  `MESSAGE_TEXT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Message()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Timestamp`
  `getDeliveredTime()`
  Returns the deliveredTime of the Message.
  `int`
  `getId()`
  Returns the id of the Message.
  `int`
  `getMeeterReceiver()`
  Returns the meeter id of the receiver of the Message.
  `int`
  `getMeeterSender()`
  Returns the meeter id of the sender of the Message.
  `Timestamp`
  `getReadTime()`
  Returns the readTime of the Message.
  `Timestamp`
  `getSentTime()`
  Returns the sentTime of the Message.
  `String`
  `getText()`
  Returns the text of the Message.
  `void`
  `setDeliveredTime(Timestamp deliveredTime)`
  Sets the deliveredTime of the Message.
  `void`
  `setId(int id)`
  Sets the id of the Message.
  `void`
  `setMeeterReceiver(int meeterReceiver)`
  Sets the meeter id of the receiver of the Message.
  `void`
  `setMeeterSender(int meeterSender)`
  Sets the meeter id of the sender of the Message.
  `void`
  `setReadTime(Timestamp readTime)`
  Sets the readTime of the Message.
  `void`
  `setSentTime(Timestamp sentTime)`
  Sets the sentTime of the Message.
  `void`
  `setText(String text)`
  Sets the text of the Message.
  `HashMap<String,Object>`
  `toHashMap()`
  Returns the Message as an hashMap.
  `HashMap<String,Object>`
  `toHashMap(String... fields)`
  Returns the Message as an hashMap.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### MESSAGE

    public static final String MESSAGE
    See Also:
      - Constant Field Values

  - ### MESSAGE_ID

    public static final String MESSAGE_ID
    See Also:
      - Constant Field Values

  - ### MESSAGE_TEXT

    public static final String MESSAGE_TEXT
    See Also:
      - Constant Field Values

  - ### MESSAGE_SENT_TIME

    public static final String MESSAGE_SENT_TIME
    See Also:
      - Constant Field Values

  - ### MESSAGE_DELIVERED_TIME

    public static final String MESSAGE_DELIVERED_TIME
    See Also:
      - Constant Field Values

  - ### MESSAGE_READ_TIME

    public static final String MESSAGE_READ_TIME
    See Also:
      - Constant Field Values

  - ### MESSAGE_MEETER_SENDER

    public static final String MESSAGE_MEETER_SENDER
    See Also:
      - Constant Field Values

  - ### MESSAGE_MEETER_RECEIVER

    public static final String MESSAGE_MEETER_RECEIVER
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Message

    public Message()

- ## Method Details

  - ### toHashMap

    public HashMap<String,Object> toHashMap()
    Returns the Message as an hashMap.
    Specified by:
      `toHashMap` in interface `IEntity`
    Returns:
      the Message as an hashMap.
    See Also:
      - `IEntity`

  - ### toHashMap

    public HashMap<String,Object> toHashMap(String... fields)
    Returns the Message as an hashMap.
    Specified by:
      `toHashMap` in interface `IEntity`
    Parameters:
      `fields` - the fields to be returned.
    Returns:
      the Message as an hashMap.
    See Also:
      - `IEntity`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getId

    public int getId()
    Returns the id of the Message.
    Returns:
      the id of the Message.

  - ### setId

    public void setId(int id)
    Sets the id of the Message.
    Parameters:
      `id` - the id of the Message.

  - ### getText

    public String getText()
    Returns the text of the Message.
    Returns:
      the text of the Message.

  - ### setText

    public void setText(String text)
    Sets the text of the Message.
    Parameters:
      `text` - the text of the Message.

  - ### getSentTime

    public Timestamp getSentTime()
    Returns the sentTime of the Message.
    Returns:
      the sentTime of the Message.

  - ### setSentTime

    public void setSentTime(Timestamp sentTime)
    Sets the sentTime of the Message.
    Parameters:
      `sentTime` - the sentTime of the Message.

  - ### getDeliveredTime

    public Timestamp getDeliveredTime()
    Returns the deliveredTime of the Message.
    Returns:
      the deliveredTime of the Message.

  - ### setDeliveredTime

    public void setDeliveredTime(Timestamp deliveredTime)
    Sets the deliveredTime of the Message.
    Parameters:
      `deliveredTime` - the deliveredTime of the Message.

  - ### getReadTime

    public Timestamp getReadTime()
    Returns the readTime of the Message.
    Returns:
      the readTime of the Message.

  - ### setReadTime

    public void setReadTime(Timestamp readTime)
    Sets the readTime of the Message.
    Parameters:
      `readTime` - the readTime of the Message.

  - ### getMeeterSender

    public int getMeeterSender()
    Returns the meeter id of the sender of the Message.
    Returns:
      the meeter id of the sender of the Message.

  - ### setMeeterSender

    public void setMeeterSender(int meeterSender)
    Sets the meeter id of the sender of the Message.
    Parameters:
      `meeterSender` - the meeter id of the sender of the Message.

  - ### getMeeterReceiver

    public int getMeeterReceiver()
    Returns the meeter id of the receiver of the Message.
    Returns:
      the meeter id of the receiver of the Message.

  - ### setMeeterReceiver

    public void setMeeterReceiver(int meeterReceiver)
    Sets the meeter id of the receiver of the Message.
    Parameters:
      `meeterReceiver` - the meeter id of the receiver of the Message.